Subject: Hasty attempt to create an IDN WG (Was: WG Review: Internationalized Domain Name (idn)

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 3 Mar 2008 14:38:11 +0100

On Tue, Feb 26, 2008 at 09:57:35AM -0800,
 The IESG <[email-masked]> wrote 
 a message of 108 lines which said:

> Please send your comments to the IESG mailing list ([email-masked])
> by March 4, 2008.

That's one week only, for the charter of a group which may change an
important Standards Track format.

> These documents were tied to Unicode version 3.2 and an update to
> the current version (5.x) is required to accommodate additional
> scripts.

That's certainly the most consensual reason to update IDN. Scripts
like Tifinagh (in wide use today in North Africa) were introduced only
in Unicode 5. But the rest of the charter is independant from this
laudable goal and much more questionable.

> In addition, experience has shown a number of real or perceived
> defects or inadequacies with the protocol.

Hold on. Is the WG really supposed to work on "perceived" defects?
Either these defects are real or they are not. If they are not real,
for instance, if they are FUD (this is quite common in the IDN arena),
they should *not* be addressed by the WG.

> - Separate requirements for valid IDNs at registration time, vs. at
> resolution time

This means casting in stone one specific approach, and a dangerous
one. If the list of valid characters is used at registration time,
later changes are easy because they are concentrated in the registry
software. But if the resolvers start to have a list of valid
characters, it will be impossible to change. (Upgrading all the
resolvers take a lot of time.) Characters which were excluded will, in
practice, never be allowed again. And the discussions on the existing
idna-update list show that the decision of exclusion is very difficult
and quite arbitrary.

The charter must not include such a rule.

> Goals and milestones:
> 
> Mar 08: WG Last Call for Overview/Rationale document

The milestones also are an attempt to avoid any real discussion. We
are already in March, the group does not exist and it would hold a
Last Call in the next weeks? That's not serious.
_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Patrik Fältström <[email-masked]>
Date: Mon, 3 Mar 2008 14:58:09 +0100

> they should *not* be addressed by the WG.

I do not agree. I think it is important that the FUD (as you describe  
it) is described as being FUD somewhere, and not just by silence  
"ignored" by the IETF. We are trying to in the documents address all  
different kind of issues and explain them. See RFC 4690, which in  
reality is bootstrap for the work that is done.

    Patrik

---

From: Jari Arkko <[email-masked]>
Date: Mon, 03 Mar 2008 16:32:08 +0200

Stephane,

> they should *not* be addressed by the WG.

Right. But it is quite common when we revise a specification that we
have only an incomplete defect list. Or we may not have determined if a
particular issue is really a defect. Understanding which specific issues
have to be fixed is typically WG work in a bis spec effort. And
obviously, if a particular issue is mistakenly believed to be a problem,
some additional explanation in the final spec may be useful to reduce
future FUD.

Jari

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 3 Mar 2008 15:40:24 +0100

On Mon, Mar 03, 2008 at 04:32:08PM +0200,
 Jari Arkko <[email-masked]> wrote 
 a message of 21 lines which said:

> But it is quite common when we revise a specification that we have
> only an incomplete defect list. Or we may not have determined if a
> particular issue is really a defect. Understanding which specific
> issues have to be fixed is typically WG work in a bis spec effort.

But it is not in the charter, quite the contrary. The proposed charter
is written as if there was a consensus on the IDN problems (there is
not, besides the limitation to Unicode 3.2 and may be the bidi). No
work is planned to discuss the problems, only solutions are present in
the charter, already decided even before the WG exists.

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 04 Mar 2008 15:19:45 +0100

> the charter, already decided even before the WG exists.
The charter is an agenda item at the BOF.
If there's consensus that you're right and the proponents are wrong, we 
can change it.

                 Harald

---

From: Lisa Dusseault <[email-masked]>
Date: Tue, 4 Mar 2008 17:49:34 -0800

On Mar 3, 2008, at 5:38 AM, Stephane Bortzmeyer wrote:

> one...... And the discussions on the existing

The posted version of the charter suggested this as the basis for the  
WG's efforts, AND says that the WG must verify the direction in a  
consensus call.  I was involved in adding that language.

Thus, it is not cast in stone.

Do you oppose the formation of the WG, support it or ... ?  I'm  
assuming it's not black or white, but as we gauge consensus on  
forming the WG, it would help to know whether you object to the  
formation of the WG in general, or wish to see a WG on this topic but  
want to help set it on the right course.

thanks!
Lisa Dusseault

---

From: Lisa Dusseault <[email-masked]>
Date: Tue, 4 Mar 2008 17:56:11 -0800

I've seen just around 10 responses to the external review, plus can  
count input prior to the external review.  These lead me to conclude  
so far that there is support for forming a WG, and there may even be  
support for forming this particular WG around this charter with some  
changes :)

In particular:
  - rough consensus to change WG name -- probably to IDNABIS
  - a few suggestions to clarify text
  - some concerns about backwards compatibility, which are obviously  
valid concerns ( but I haven't seen how we could do much in a  
charter, and propose to deal with those tradeoffs in WG if a WG is  
formed)
  - issues in wording of a couple goals, still need to deal with
  - issues around milestones, realism thereof

The charter will need to go around the circle again, officially or  
unofficially, and I'm still welcoming input.

Thanks,
Lisa

On Feb 26, 2008, at 9:57 AM, The IESG wrote:

> A new IETF working group has been proposed in the Applications  
> Area.  The
> IESG has not made any determination as yet.  The following draft  
> charter
> was submitted, and is provided for informational purposes only.   
> Please
> send your comments to the IESG mailing list ([email-masked]) by  
> March 4,
> 2008.
>
> Internationalized Domain Name (idn)
> =============================
> Last modified: 2008-02-18
>
> Current Status: Proposed Working Group
>
> Chair(s):
>
> TBD
>
> Applications Area Directors:
>
> Lisa Dusseault ([email-masked])
> Chris Newman ([email-masked])
>
> Applications Area Advisor:
>
> Lisa Dusseault ([email-masked])
>
> Mailing List:
>
> General Discussion: [email-masked]
> To Subscribe:
> http://www.alvestrand.no/mailman/listinfo/idna-update
> Archive: http://www.alvestrand.no/pipermail/idna-update/
>
> Description:
>
> The original Internationalized Domain Name (IDN) WG set the
> requirements for international characters in domain names in
> RFC 3454, RFC3490, RFC3491 and RFC3492 in 2002. These documents
> were tied to Unicode version 3.2 and an update to the current
> version (5.x) is required to accommodate additional scripts.
> defects or inadequacies with the protocol. Some of them are
> described in an IAB review (RFC4690), which also provides a good
> introduction to the subject matter.
>
> IDNA is currently tied to an obsolete version of Unicode. This WG
> is chartered to untie IDNA from specific versions of Unicode using
> algorithms that define validity based on Unicode properties. It is
> recognized that some explicit exceptions may be necessary in any
> case, but attempts would be made to minimize these exceptions.
>
> Additional goals:
>
> - Separate requirements for valid IDNs at registration time,
> vs. at resolution time
> - Revise bi-directional algorithms to produce a deterministic
> answer whether a label is allowed or not
> - Determine whether bi-directional algorithm should allow
> additional mnemonics labels
> - Permit effective use of some scripts that were
> inadvertently excluded by the original protocols.
>
> The constraints of the original IDN WG still apply, namely to
> avoid disturbing the current use and operation of the domain
> name system, and for the DNS to continue to allow any system
> to resolve any domain name. The basic approach of the original
> IDN work will be maintained -- substantially new protocols or
> mechanisms are not in scope. In particular, IDNs continue to
> use the "xn--" prefix and the same ASCII-compatible encoding,
> and the bidirectional algorithm follows the same basic design.
>
> The WG will work to ensure practical stability of the validity
> algorithms for IDNs (whether based on character properties or
> inclusion/exclusion lists).
>
> The work is currently organized into four deliverables, all
> Standards Track. The WG will verify that it has consensus
> to adopt the proposed documents as a starting point. The
> Overview document with explanation and rationale is intended
> for Standards Track status because it has definitions and
> other normative text required by the other documents. The
> protocol specification explains how to map non-ASCII
> characters into ASCII DNS labels. It relies normatively on
> two other documents that are separate for readability: the
> bidirectional algorithm specification and the character
> validity tables. The validity of characters in IDNs is
> almost exclusively based on Unicode properties but is
> organized as tables and categories for readability.
>
> Goals and milestones:
>
> Apr 08: Revised Overview/Rationale document
> Apr 08: WG Last Call for Protocol, Bidi and Tables documents
> May 08: Revised Protocol, Bidi and Tables documents
> May 08: Review Overview document again if needed
> Jul 08: Request for publication for all documents
>
> Documents:
>
> http://tools.ietf.org/html/draft-klensin-idnabis-issues
> http://tools.ietf.org/html/draft-klensin-idnabis-protocol
> http://tools.ietf.org/html/draft-faltstrom-idnabis-tables
> http://tools.ietf.org/html/draft-alvestrand-idna-bidi
>

---

From: Cullen Jennings <[email-masked]>
Date: Wed, 5 Mar 2008 19:52:24 -0800

Harald,

I'm lost, what BOF are you talking about?

Cullen

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 06 Mar 2008 07:15:32 +0100

> I'm lost, what BOF are you talking about?
This one:

*WEDNESDAY, March 12, 2008 *

*0900-1130 Morning Session I *
Franklin 6/7 	APP 	idn 	Internationalized Domain Name BOF 
<http://www3.ietf.org/proceedings/08mar/agenda/idn.txt>